/*************************************************************************
 *
 * kernel_interface.c
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (c) 1999-2001 NAI Labs, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *   Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * 
 *   Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * 
 *   Neither the name of NAI Labs, Inc. nor the names of its contributors
 *   may be used to endorse or promote products derived from this software
 *   without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * fake kernel interface code to allow user-space testing.
 *
 *************************************************************************/

#include "kernel_interface.h"

#include <stdlib.h>
#include <stdio.h>


#define SUBJECT_NAME "<subject>"
#define SUBJECT_NAME_LEN 9

/* Some fake functions for convenience */

int  get_subject_id( lomac_subject_t *p_subject, char *id_s, int bufflen ) {
  if( bufflen >= SUBJECT_NAME_LEN ) {
    strncpy( id_s, SUBJECT_NAME, bufflen );
    return( SUBJECT_NAME_LEN );
  } else {
    return( 0 );
  }
}

#define OBJECT_NAME "<object>"
#define OBJECT_NAME_LEN 8

int  get_object_id( lomac_object_t *p_object, char *id_s, int bufflen ) {
  if( bufflen >= OBJECT_NAME_LEN ) {
    strncpy( id_s, OBJECT_NAME, bufflen );
    return( OBJECT_NAME_LEN );
  } else {
    return( 0 );
  }
}

void panic( char *s ) {
  printf( "%s", s );
  exit( -1 );
}

size_t strnlen( const char *s, int n ) {
  return( strlen( s ) );
}



